#include <bits/stdc++.h>

/// d*10^k
/// d = {1, 2, 5}

long long int novcanice[100];


int main()
{
    int x = 0;
    long long int k = 1;

    for(int i = 0; i < 19; i++)
    {
        novcanice[x] = 1 * k;
        x++;
        novcanice[x] = 2 * k;
        x++;
        novcanice[x] = 5 * k;
        x++;

        k = k * 10;
    }


    long long int v;
    scanf("%lld", &v);

    while(true)
    {
        
    }

    return 0;
}